flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-4128) compile error about git-commit-id-plugin
Date Thu, 30 Jun 2016 19:52:10 GMT

    [ https://issues.apache.org/jira/browse/FLINK-4128?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15357744#comment-15357744

ASF GitHub Bot commented on FLINK-4128:

Github user asfgit closed the pull request at:


> compile error about git-commit-id-plugin
> ----------------------------------------
>                 Key: FLINK-4128
>                 URL: https://issues.apache.org/jira/browse/FLINK-4128
>             Project: Flink
>          Issue Type: Bug
>            Reporter: Mao, Wei
> When I build with latest flink code, I got following error:
> {quote}
> [INFO] ------------------------------------------------------------------------
> [INFO] ------------------------------------------------------------------------
> [INFO] Total time: 01:06 h
> [INFO] Finished at: 2016-06-28T22:11:58+08:00
> [INFO] Final Memory: 104M/3186M
> [INFO] ------------------------------------------------------------------------
> [ERROR] Failed to execute goal pl.project13.maven:git-commit-id-plugin:2.1.5:revision
(default) on project flink-runtime_2.11: Execution default of goal pl.project13.maven:git-commit-id-plugin:2.1.5:revision
failed. NullPointerException -> [Help 1]
> [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> [ERROR] For more information about the errors and possible solutions, please read the
following articles:
> [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginExecutionException
> [ERROR] After correcting the problems, you can resume the build with the command
> [ERROR]   mvn <goals> -rf :flink-runtime_2.11
> {quote}
> I think it's because wrong `doGetDirectory` value is provided.
> And another question is if we should upgrade the version of this plugin, so that we can
got more meaningful error message instead of NPE. Eg:
> {quote}
> Could not get HEAD Ref, are you sure you have some commits in the dotGitDirectory?
> {quote}
> Current stable version is 2.2.1, but the disadvantage is that Java 1.6 is no longer supported
with new version.

This message was sent by Atlassian JIRA

View raw message